Search for facet values
Searches for values of a specified facet attribute.
- By default, facet values are sorted by decreasing count.
You can adjust this with the
sortFacetValueByparameter. - Searching for facet values doesnโt work if you have more than 65 searchable facets and searchable attributes combined.
searchAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
Facet attribute in which to search for values.
This attribute must be included in the attributesForFaceting index setting with the searchable() modifier.
Name of the index on which to perform the operation.
"ALGOLIA_INDEX_NAME"
Body
Text to search inside the facet's values.
"george"
Maximum number of facet values to return when searching for facet values.
x <= 100Search parameters as a URL-encoded query string.
"hitsPerPage=2&getRankingInfo=1"
Response
OK
Whether the facet count is exhaustive (true) or approximate (false). For more information, see Why are my facet and hit counts not accurate.
Matching facet values.
Time the server took to process the request, in milliseconds.
20